Subject: [alpine-aports] [PATCH] testing/php-couchbase: new aport

From: Nathan Johnson <[email-masked]>
Date: Sun, 28 Feb 2016 11:41:11 -0600

https://pecl.php.net/package/couchbase
PHP extension for connecting to a couchbase server.
---
 testing/php-couchbase/APKBUILD | 47 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 47 insertions(+)
 create mode 100644 testing/php-couchbase/APKBUILD

diff --git a/testing/php-couchbase/APKBUILD b/testing/php-couchbase/APKBUILD
new file mode 100644
index 0000000..cf1a18a
--- /dev/null
+++ b/testing/php-couchbase/APKBUILD
@@ -0,0 +1,47 @@
+# Contributor: Nathan Johnson <[email-masked]>
+# Maintainer: Nathan Johnson <[email-masked]>
+pkgname=php-couchbase
+_pkgreal=couchbase
+pkgver=2.1.0
+pkgrel=0
+pkgdesc="PHP extension couchbase"
+url="http://pecl.php.net/package/$_pkgreal"
+arch="all"
+license="ASL 2.0"
+depends=
+pecldepends="php-dev autoconf"
+makedepends="$pecldepends libcouchbase-dev zlib-dev"
+install=""
+subpackages=""
+source="http://pecl.php.net/get/$_pkgreal-$pkgver.tgz"
+
+_builddir="$srcdir"/$_pkgreal-$pkgver
+
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	phpize || return 1
+	./configure --prefix=/usr || return 1
+	make || return 1
+    make test || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make INSTALL_ROOT="$pkgdir"/ install || return 1
+	install -d "$pkgdir"/etc/php/conf.d || return 1
+	echo "extension=$_pkgreal.so" > "$pkgdir"/etc/php/conf.d/$_pkgreal.ini
+}
+
+md5sums="1ee53916bd2e1247882be0ccaf440857  couchbase-2.1.0.tgz"
+sha256sums="30eda3f5afd0d9f4c77b12650163c3490de111e57ad6b20092c95e44e3d60a8d  couchbase-2.1.0.tgz"
+sha512sums="39dabf34d03dc476c0092d05355fc7446506d40a06e8d1b999b54dfe3181200b8bd039e2087456deb7263f7cec9dc93f6541a33510fac5b586e24fe68973dc36  couchbase-2.1.0.tgz"
-- 
2.6.4

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---